/*
 * Emergency RAVE controller
 * REST API for the Emergency RAVE controller. See https://emergency-rave.gitlab.io/about-erave/ for more information.
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package io.swagger.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.IOException;
/**
 * Results of system calibration
 */
@Schema(description = "Results of system calibration")
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2020-04-18T14:46:04.929Z[GMT]")
public class CalibrationResult {
  @SerializedName("venturi-system-const")
  private Integer venturiSystemConst = null;

  @SerializedName("compressor-mbar-max")
  private Integer compressorMbarMax = null;

  @SerializedName("flow-ml-sec-max")
  private Integer flowMlSecMax = null;

  public CalibrationResult venturiSystemConst(Integer venturiSystemConst) {
    this.venturiSystemConst = venturiSystemConst;
    return this;
  }

   /**
   * Get venturiSystemConst
   * @return venturiSystemConst
  **/
  @Schema(description = "")
  public Integer getVenturiSystemConst() {
    return venturiSystemConst;
  }

  public void setVenturiSystemConst(Integer venturiSystemConst) {
    this.venturiSystemConst = venturiSystemConst;
  }

  public CalibrationResult compressorMbarMax(Integer compressorMbarMax) {
    this.compressorMbarMax = compressorMbarMax;
    return this;
  }

   /**
   * Get compressorMbarMax
   * @return compressorMbarMax
  **/
  @Schema(description = "")
  public Integer getCompressorMbarMax() {
    return compressorMbarMax;
  }

  public void setCompressorMbarMax(Integer compressorMbarMax) {
    this.compressorMbarMax = compressorMbarMax;
  }

  public CalibrationResult flowMlSecMax(Integer flowMlSecMax) {
    this.flowMlSecMax = flowMlSecMax;
    return this;
  }

   /**
   * Get flowMlSecMax
   * @return flowMlSecMax
  **/
  @Schema(description = "")
  public Integer getFlowMlSecMax() {
    return flowMlSecMax;
  }

  public void setFlowMlSecMax(Integer flowMlSecMax) {
    this.flowMlSecMax = flowMlSecMax;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CalibrationResult calibrationResult = (CalibrationResult) o;
    return Objects.equals(this.venturiSystemConst, calibrationResult.venturiSystemConst) &&
        Objects.equals(this.compressorMbarMax, calibrationResult.compressorMbarMax) &&
        Objects.equals(this.flowMlSecMax, calibrationResult.flowMlSecMax);
  }

  @Override
  public int hashCode() {
    return Objects.hash(venturiSystemConst, compressorMbarMax, flowMlSecMax);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CalibrationResult {\n");
    
    sb.append("    venturiSystemConst: ").append(toIndentedString(venturiSystemConst)).append("\n");
    sb.append("    compressorMbarMax: ").append(toIndentedString(compressorMbarMax)).append("\n");
    sb.append("    flowMlSecMax: ").append(toIndentedString(flowMlSecMax)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
